package com.supplier.service;

import com.supplier.model.*;
import java.util.List;
import java.util.Map;

public interface PersonalServce {
    Supplier getPresonalMessage(String code);

    void updatePhone(Supplier supplier);

    int checkCaptcha(Supplier supplier);

    List<User> seleceWxUserCount(User user);

    void addWXUser(User user);

    int geThisUserID(String wxid);

    void updateUserWx(User user);

    void updateOffNum(SupplierRelease supplierRelease);

    Map<String, Object> getByNumber();

    Map<String, Object> payBlance(String offerNum, String code);

    void addBuyOfferNum(BuyOfferNum buyOfferNum);

    Map<String, Object> balanceOfPayments(String code);

    Map<String, Object> topUpNum(String code);

    Map<String, Object> getEmployees(Supplier supplier);

    Map<String, Object> editorEmployees(Supplier supplier);

    Map<String, Object> delChild(Supplier supplier);

    Map<String, Object> editorModify(Supplier supplier);
}
